Index: Portfile
===================================================================
--- Portfile	(révision 52433)
+++ Portfile	(copie de travail)
@@ -3,8 +3,7 @@
 PortSystem	1.0
 
 name		jpeg
-version     	6b
-revision	3
+version     	7
 categories	graphics
 maintainers	waqar
 description	Library for manipulating JPEG images
@@ -27,42 +26,16 @@
 
 distname        ${name}src.v${version}
 worksrcdir      ${name}-${version}
-set jpegmain    ${distname}${extract.suffix}
-distfiles       ${jpegmain} \
-                droppatch.tar.gz:drop
                 
-checksums       ${jpegmain} md5 dbd5f3b47ed13132f04c685d608a7547 \
-                droppatch.tar.gz md5 511c39779ac96cd41ca1e0a87b239287
-extract.only    ${jpegmain}
+checksums       md5     382ef33b339c299b56baf1296cda9785 \
+                sha1    88cced0fc3dbdbc82115e1d08abce4e9d23a4b47 \
+                rmd160  6049c5fee2682c0757d4b51740abd981d1b24487
 
-patchfiles      patch-config.sub patch-config.guess patch-ltmain.sh \
-                patch-ltconfig patch-makefile.cfg patch-jpeglib.h
-post-patch {
-    system "cd ${worksrcpath} &&
-        tar zxf ${distpath}/droppatch.tar.gz"
+configure.ldflags-delete	-L${prefix}/lib
+configure.cppflags-delete	-I${prefix}/include
 
-    # Reorder link flags so that so that local -L options come first (especially before -L${prefix}/lib)
-    #     (see http://trac.macports.org/ticket/16411).
-    reinplace {s|\(.*\)\($(LDFLAGS)\)\(.*\)\($(LDLIBS)\)\(.*\)|\1\4\3\2\5|} ${worksrcpath}/makefile.cfg
-
-    # As in the case of -L, CPPFLAGS come before -I. during compilation.
-    configure.cppflags-append -isystem${prefix}/include
-    configure.cppflags-delete -I${prefix}/include
-}
-
-configure.args      --enable-shared --enable-static
-
 use_parallel_build  yes
 
-destroot.destdir    prefix=${destroot}${prefix}
-pre-destroot {
-    xinstall -d ${destroot}${prefix}/bin
-    xinstall -d ${destroot}${prefix}/share/man/man1
-    xinstall -d ${destroot}${prefix}/include
-    xinstall -d ${destroot}${prefix}/lib
-}
-
-
 livecheck.check regex
 livecheck.url   [lindex $master_sites 0]/?M=D
 livecheck.regex [suffix ${name}src.v(.*?)]
